<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <style>
        .div-background-picture {
            background-image: url("./images/signup-bg.jpg");
            height: 100%;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
            opacity: 1;

        }

        p .a-login-here {
            color: black;
            font-weight: 500;
        }

        .jumbotron {
            background-color: #ffff;
        }
    </style>
</head>

<body>
    <div class="container-fluid div-background-picture">
        <form id="form-sign-up" action="">
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-4 mx-auto text-center jumbotron">
                    <div class="mb-3">
                        <h3>CREATE ACCOUNT</h3>
                    </div>
                    <div>
                        <div class="form-group">
                            <input id="inp-name" type="text" class="form-control" placeholder="Your Name" required>
                        </div>
                        <div class="form-group">
                            <input id="inp-email" type="text" class="form-control" placeholder="Your Email">
                        </div>
                        <div class="form-group">
                            <input id="inp-password" type="password" class="form-control" placeholder="Password">
                        </div>
                        <div class="form-group">
                            <input id="inp-reset-password" type="password" class="form-control"
                                placeholder="Reset your password">
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="" id="is-check-box" class="form-check-input">
                            <label for="">I agree all statements in <a href="">Term of service</a></label>
                        </div>
                        <div class="form-group">
                            <button type="" id="btn-sign-up" class="btn btn-success form-control">Sign up</button>
                        </div>
                        <div class="form-group mt-5">
                            <p>Have already an account? <a class="a-login-here" href="">Login here</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {

        $("#form-sign-up").on("submit", function (event) {
            event.preventDefault();
            onBtnSignUp();
        })
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnSignUp() {
        var vDataSignUp = {
            userName: "",
            email: "",
            password: "",
            resetPassword: "",
            isCheckBox: false,
        }
        getSignUpData(vDataSignUp);
        console.log("Name: " + vDataSignUp.userName);
        var vCheck = validateSignUpData(vDataSignUp);
        if (vCheck) {
            displayDataSignUp(vDataSignUp);
        }


    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getSignUpData(paramSignUp) {
        paramSignUp.userName = $("#inp-name").val().trim();
        paramSignUp.email = $("#inp-email").val().trim();
        paramSignUp.password = $("#inp-password").val().trim();
        paramSignUp.resetPassword = $("#inp-reset-password").val().trim();
        paramSignUp.isCheckBox = $("#is-check-box").is(":checked");

    }
    function validateSignUpData(paramSignUp) {
        if (paramSignUp.userName == "" || paramSignUp.email == "" || paramSignUp.password == "" || paramSignUp.resetPassword == "") {
            alert("Nhập đầy đủ các trường!");
            return false;
        }
        else if (checkEmail(paramSignUp.email) == false) {
            return false;
        }
        else if (paramSignUp.password.length < 8) {
            alert("password phải từ 8 kí tự trở lên!");
            return false;
        }
        else if (paramSignUp.password != paramSignUp.resetPassword) {
            alert("Reset password không khớp với password!");
            return false;
        }
        else if (paramSignUp.isCheckBox == false) {
            alert("vui lòng chọn check box!");
            return false;
        }
        return true;
    }
    // validate eemail
    function checkEmail(paramEmail) {
        var validRegex = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;

        if (paramEmail.match(validRegex)) {
            alert("Valid email address!");
            return true;

        } else {
            alert("Invalid email address!");
            return false;
        }
    }

    function displayDataSignUp(paramSignUp) {
        console.log(paramSignUp);
    }

</script>

</html>